package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.RoomContent;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 房间主体内容Mapper接口
 * 
 * @author ics
 * @date 2024-02-22
 */
@Mapper
public interface RoomContentMapper extends BaseMapper<RoomContent> {
    /**
     * 查询房间主体内容
     * 
     * @param id 房间主体内容ID
     * @return 房间主体内容
     */
    RoomContent selectRoomContentById(Long id);

    /**
     * 查询房间主体内容列表
     * 
     * @param roomContent 房间主体内容
     * @return 房间主体内容集合
     */
    List<RoomContent> selectRoomContentList(RoomContent roomContent);

    /**
     * 新增房间主体内容
     * 
     * @param roomContent 房间主体内容
     * @return 结果
     */
    int insertRoomContent(RoomContent roomContent);

    /**
     * 修改房间主体内容
     * 
     * @param roomContent 房间主体内容
     * @return 结果
     */
    int updateRoomContent(RoomContent roomContent);

    /**
     * 删除房间主体内容
     * 
     * @param id 房间主体内容ID
     * @return 结果
     */
    int deleteRoomContentById(Long id);

    /**
     * 批量删除房间主体内容
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomContentByIds(String[] ids);

    List<RoomContent> todayMeeting(Long id);
}
